Subject: bug#37369: Getting network-manager-openconnect to work

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 27 Sep 2019 18:37:35 +0200

Hello!

There might be a workaround:

NetworkManager stopped segfaulting for me after I “edited” the
openconnect VPN connection in nm-connection-editor without making any
changes to the connection.  Apparently this fixed get_secrets_done_cb
being passed what GDB calls an “<incomplete type>” as the connection
and crashing in nm_connection_get_setting_by_name.  I need to repeat
this nm-connection-editor editing after every reboot.

Does editing the VPN connection in nm-connection-editor fix the
problem for you, Divan Santana?

No patch at all is required for me.  nmtui works fine without the patch.

This issue is not present in Arch Linux using the more recent
NetworkManager 1.20.2.  I have not yet attempted to upgrade Guix’
NetworkManager to a more recent version.

Regards,
Florian